Bug 243010 - Review Request: perl-Compress-Raw-Bzip2 - Perl interface to bzip2 compression library
Review Request: perl-Compress-Raw-Bzip2 - Perl interface to bzip2 compression...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
: 573928 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-06 17:47 EDT by Robin Norwood
Modified: 2010-03-16 12:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-07 17:36:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robin Norwood 2007-06-06 17:47:46 EDT
Spec URL: http://people.redhat.com/rnorwood/rpms/Compression/perl-Compress-Raw-Bzip2.spec
SRPM URL: http://people.redhat.com/rnorwood/rpms/Compression/perl-Compress-Raw-Bzip2-2.004-1.src.rpm
Description: This package is part of a set of compression related perl packages.  They are brought in as dependencies for the new perl-Compress-Zlib (2.004).  There are several other related packages, and I'll include all of the relevant bugzillae when I've filed requests for all of them.
Comment 1 Robin Norwood 2007-06-06 18:10:26 EDT
There are 5 compression-related packages needed for a new Compress::Zlib
(2.004), including this one.  Here are the bugzilla URLs for them:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=228537 - perl-IO-Compress-Base
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=243010 -
perl-Compress-Raw-Bzip2
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=243012 - perl-Compress-Raw-Zlib
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=243016 - perl-IO-Compress-Bzip2
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=243019 - perl-IO-Compress-Zlib

Comment 2 Jason Tibbitts 2007-06-06 19:23:54 EDT
This builds fine for me, but it looks like test coverage could be enhanced by a
build dependency on perl(Test::Pod):

t/99pod........skipped
        all skipped: Test::Pod 1.00 required for testing POD

Since that's a trivial fix and it's the only issue I see with this package, I'll
go ahead and approve it and you can fix it when you check in.

Review:
* source files match upstream:
   5711ea0627018fdf94eba9443c6e0c7fe109c396ef6896716f3a151eed6225ad  
   Compress-Raw-Bzip2-2.004.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
X BuildRequires missing Test::Pod
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   Bzip2.so()(64bit)
   perl(Compress::Raw::Bunzip2)
   perl(Compress::Raw::Bzip2)
   perl-Compress-Raw-Bzip2 = 2.004-1.fc8
  =
   perl >= 0:5.004
   perl(:MODULE_COMPAT_5.8.8)
   perl(AutoLoader)
   perl(Carp)
   perl(Exporter)
   perl(bytes)
   perl(constant)
   perl(strict)
   perl(warnings)
X %check is present, but one test is skipped due to missing dependencies.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED
Comment 3 Robin Norwood 2007-06-07 11:40:01 EDT
Alrightey, then:  new spec and SRPM:

Spec URL:
http://people.redhat.com/rnorwood/rpms/Compression/perl-Compress-Raw-Bzip2.spec
SRPM URL:
http://people.redhat.com/rnorwood/rpms/Compression/perl-Compress-Raw-Bzip2-2.004-1.src.rpm

with Test::Pod coverage goodness.
Comment 4 Robin Norwood 2007-06-07 11:42:52 EDT
New Package CVS Request
=======================
Package Name: perl-Compress-Raw-Bzip2
Short Description: Perl interface to bzip2 compression library
Owners: rnorwood@redhat.com
Branches: devel
InitialCC: fedora-perl-devel-list@redhat.com
Comment 5 Kevin Fenzi 2007-06-07 16:16:09 EDT
cvs done.
Comment 6 Robin Norwood 2007-06-07 17:36:40 EDT
package imported and built.
Comment 7 Iain Arnell 2010-03-16 12:26:17 EDT
*** Bug 573928 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.